UbixOS V2 2.0

Macros | Typedefs | Functions | Variables
syscalls_new.h File Reference
`#include <sys/sysproto_posix.h>`
Include dependency graph for syscalls_new.h:

Go to the source code of this file.

## Macros
#define | EJUSTRETURN (-2) /* don't modify regs, just return */
#define | ERESTART (-1) /* restart syscall */
#define | invalid_call 0x0
#define | PSL_C 0x00000001 /* carry bit */

## Typedefs
typedef int(* | functionPTR) ()

## Functions
int | __sysctl ()
int | close ()
int | fcntl ()
int | fstat ()
int | getdtablesize ()
int | getgid ()
int | getpid ()
int | gettimeofday_new ()
int | getuid ()
int | ioctl ()
int | issetugid ()
int | mmap ()
int | munmap ()
int | obreak ()
int | pipe ()
int | read ()
int | readlink ()
int | sigaction ()
int | sigprocmask ()
int | sysExit ()

## Variables
functionPTR | systemCalls_new []
| Mast System Call List. More...
int | totalCalls_new = sizeof(systemCalls_new) / sizeof(functionPTR)

## Macro Definition Documentation

## ◆ EJUSTRETURN

#define EJUSTRETURN (-2) /* don't modify regs, just return */

Definition at line 57 of file syscalls_new.h.

## ◆ ERESTART

#define ERESTART (-1) /* restart syscall */

Definition at line 58 of file syscalls_new.h.

## ◆ invalid_call

#define invalid_call 0x0

Definition at line 55 of file syscalls_new.h.

## ◆ PSL_C

#define PSL_C 0x00000001 /* carry bit */

Definition at line 56 of file syscalls_new.h.

## Typedef Documentation

## ◆ functionPTR

typedef int(* functionPTR) ()

Definition at line 60 of file syscalls_new.h.

## Function Documentation

## ◆ __sysctl()

int __sysctl | ( |  | ) |

## ◆ close()

int close | ( |  | ) |

## ◆ fcntl()

int fcntl | ( |  | ) |

## ◆ fstat()

int fstat | ( |  | ) |

## ◆ getdtablesize()

int getdtablesize | ( |  | ) |

## ◆ getgid()

int getgid | ( |  | ) |

## ◆ getpid()

int getpid | ( |  | ) |

## ◆ gettimeofday_new()

int gettimeofday_new | ( |  | ) |

## ◆ getuid()

int getuid | ( |  | ) |

## ◆ ioctl()

int ioctl | ( |  | ) |

## ◆ issetugid()

int issetugid | ( |  | ) |

## ◆ mmap()

int mmap | ( |  | ) |

## ◆ munmap()

int munmap | ( |  | ) |

## ◆ obreak()

int obreak | ( |  | ) |

## ◆ pipe()

int pipe | ( |  | ) |

## ◆ read()

int read | ( |  | ) |

## ◆ readlink()

int readlink | ( |  | ) |

## ◆ sigaction()

int sigaction | ( |  | ) |

## ◆ sigprocmask()

int sigprocmask | ( |  | ) |

## ◆ sysExit()

int sysExit | ( |  | ) |

## Variable Documentation

## ◆ systemCalls_new

functionPTR systemCalls_new[]

Mast System Call List.

Definition at line 65 of file syscalls_new.h.

## ◆ totalCalls_new

int totalCalls_new = sizeof(systemCalls_new) / sizeof(functionPTR)

Definition at line 524 of file syscalls_new.h.